jc_updates:
  namespace: "Organisms/TM - Journey Check/JC Updates"
  use: "@organisms/tm-jc/jc-updates/jc-updates.twig"
  label: Travel Updates
  description: Live travel updates block
  libraries:
    - jc_updates_lib:
        css:
          component:
            ../styles/jc-updates.css: { weight: 10 }

  fields:
    element:
      type: object
      label: Data - Items
      preview:
        items:
          - name: London Euston Lines
            machineName: london_euston
            status: good
            statusText: Good
            hasIncidents: false
          - name: Birmingham New Street Lines
            machineName: birmingham
            status: minor
            statusText: Minor service changes
            hasIncidents: true
          - id: '514'
            name: Bedford - Bletchley
            machineName: marston-vale
            status: amended
            statusText: Amended service
            hasIncidents: true
            showDetails: true
          - id: '513'
            name: St Albans Abbey
            machineName: abbey-line
            status: minor
            statusText: Minor service changes
            hasIncidents: true
            showDetails: true
          - name: London Euston Lines
            machineName: london_euston
            status: minor
            statusText: Minor service changes
            hasIncidents: true
          - name: Birmingham New Street Lines
            machineName: birmingham
            status: minor
            statusText: Minor service changes
            hasIncidents: true
          - id: '514'
            name: Bedford - Bletchley
            machineName: marston-vale
            status: amended
            statusText: Amended service
            hasIncidents: true
            showDetails: true
          - id: '513'
            name: St Albans Abbey
            machineName: abbey-line
            status: minor
            statusText: Minor service changes
            hasIncidents: true
            showDetails: true

  settings:
    showbutton:
      type: boolean
      label: Show button
      preview: true

jc_updates_wrapper:
  namespace: "Organisms/TM - Journey Check/JC Updates"
  use: "@organisms/tm-jc/jc-updates/jc-updates-wrapper.twig"
  label: Travel Updates Wrapper
  description: Travel Updates Wrapper
